import java.io.PrintStream;
import java.math.BigInteger;
import java.util.Scanner;
import java.util.StringTokenizer;

class Main {
    public static void main(String[] argv) {
        String sp = System.getProperty("line.separator");
        PrintStream cout = System.out;
        try (Scanner cin = new Scanner(System.in)) {
            int T = cin.nextInt();
            for (int t = 1; t <= T; t++) {
                BigInteger ba = cin.nextBigInteger(), bb = cin.nextBigInteger();
                cout.printf("Case %d:%s%s + %s = %s%s", t, sp, ba, bb, ba.add(bb), sp);
                if (t != T)
                    cout.println();
            }
        }
    }
}